Subject: Re: bug#29506: find-composition segfaults

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Nov 2017 20:02:36 +0200

> From: Edgard Bikelis <[email-masked]>
> Date: Thu, 30 Nov 2017 03:52:57 -0200
> 
> I was testing decomposing some characters in malayalam, and by evaluating this:
> 
> (find-composition 0 1 "ദേ")
> 
> emacs segfaults when it’s in gui mode, but not when it’s on the
> console, with the -nw option. I have asked on #emacs on freenode, and
> other people had the same effect on version 25.2 and 26. It seems to
> happen with unicode past some high number, it doesn’t happen with "á"
> for instance, with a+ combining acute above, but it does happen in
> Arabic also, like with "ڜ".

More accurately, it aborts or segfaults for any string with characters
that are not supported by the default face's font.  On a TTY, fonts
are never an issue, so it never crashes there.

I fixed this now for Emacs 26, thanks for reporting this issue.